Bug 820361 - Review Request: java-atk-wrapper - Java ATK Wrapper
Review Request: java-atk-wrapper - Java ATK Wrapper
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 818527
  Show dependency treegraph
 
Reported: 2012-05-09 14:39 EDT by Omair Majid
Modified: 2012-06-02 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-17 01:02:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvanek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
build.log (58.38 KB, text/x-log)
2012-05-10 07:36 EDT, jiri vanek
no flags Details

  None (edit)
Description Omair Majid 2012-05-09 14:39:12 EDT
Spec URL: http://omajid.fedorapeople.org/java-atk-wrapper/java-atk-wrapper.spec
SRPM URL: http://omajid.fedorapeople.org/java-atk-wrapper/java-atk-wrapper-0.30.4-1.fc17.src.rpm
Description:
Java ATK Wrapper is a implementation of ATK by using JNI technic. It
converts Java Swing events into ATK events, and send these events to
ATK-Bridge.

JAW is part of the Bonobo deprecation project. It will replaces the
former java-access-bridge.
By talking to ATK-Bridge, it keeps itself from being affected by the
change of underlying communication mechanism.
Comment 1 jiri vanek 2012-05-10 07:17:57 EDT
The package as is now is not buildable.
Autogen fails, because of missing xprop.
I have fixed it for my purposes by adding BuildRequires:	xorg-x11-utils
and continued review.
Comment 2 jiri vanek 2012-05-10 07:34:18 EDT
java-atk-wrapper.spec.rpmlint:
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

java-atk-wrapper-0.30.4-1.fc17.src.rpm.rpmlint
java-atk-wrapper.src: W: spelling-error %description -l en_US technic -> technical, technician, technique
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

java-atk-wrapper-0.30.4-1.fc17.src.rpm.rebuild.rpmlint
java-atk-wrapper.src: W: spelling-error %description -l en_US technic -> technical, technician, technique
java-atk-wrapper.src:20: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 20)
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
^above additional warning is caused by my rebuild

java-atk-wrapper-0.30.4-1.fc17.x86_64.rpm.rpmlint
java-atk-wrapper.x86_64: W: spelling-error %description -l en_US technic -> technical, technician, technique
java-atk-wrapper.x86_64: E: non-standard-executable-perm /usr/lib64/java-atk-wrapper/libatk-wrapper.so.0.0.18 0775L
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

java-atk-wrapper-debuginfo-0.30.4-1.fc17.x86_64.rpm.rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 3 jiri vanek 2012-05-10 07:35:24 EDT
Rpmlint results  looks more then good. 

I do not insists on /usr/lib64/java-atk-wrapper/libatk-wrapper.so.0.0.18 0775 change, but to have 755 (or 777 if you wish) but it would be nice to fix it.
Comment 4 jiri vanek 2012-05-10 07:36:07 EDT
Created attachment 583518 [details]
build.log
Comment 5 jiri vanek 2012-05-10 07:44:13 EDT
As description is copypasted from upstream, i see no reason to fix technic (by correct technique [I'm not native speaker]?)
Comment 6 jiri vanek 2012-05-10 08:01:39 EDT
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
ok - just two minors appeared
MUST: The package must be named according to the Package Naming Guidelines .
ok
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
ok
MUST: The package must meet the Packaging Guidelines .
ok
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
ok - gpl2v+, simialr with upstream
MUST: The License field in the package spec file must match the actual license. [3]
ok
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
ok
MUST: The spec file must be written in American English. [5]
ok (except copy pasted typo)
MUST: The spec file for the package MUST be legible. [6]
ok
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
ok
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
*fail* there is missing BUildRequires
With this fixed (as I tried) builds ok on fedora archs
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
ok
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
*fail* as already mentioned, one is missing
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
ok - no lokales used (if I see correctly)
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
ok - shared librarby is inisde package's directory, olny limlink is published
MUST: Packages must NOT bundle copies of system libraries.[11]
ok
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
ok, but I must admit i do not understand fuly this request
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
ok
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
ok
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
*fail* It looks like shared library have 775, I suggest to exactly specify permissions in specfile (however, default 775 are usable), so this can be considered as ok
MUST: Each package must consistently use macros. [16]
ok
MUST: The package must contain code, or permissable content. [17]
ok
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
ok
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
ok
MUST: Static libraries must be in a -static package. [19]
ok, no static libraries included
MUST: Development files must be in a -devel package. [20]
ok
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
ok, not devel package
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
ok
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
ok - no desktop
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
MUST: All filenames in rpm packages must be valid UTF-8. [24]
ok
Comment 7 jiri vanek 2012-05-10 08:08:53 EDT
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
ok - not inlcuded. This is mentioned as dependence package, so there isno need for more translations
SHOULD: The reviewer should test that the package builds in mock. [27]
builds ok after fixed BuildRequires as mentioned
SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
ok - tested on x8664 and i386
SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
I have tried, and I was unable to verified. I have included ptisnovs a openjdk QA to test this. But we have faield to verify even old java-access-bridge
If you have any more ideas how to enable it and verify it I will be very glad
SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
ok-nothing like this included
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
ok - nothing like that
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
ok - no pkgconfig gile?
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
ok - no files dependences
SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
No manual pages. In this case I miss some more info how to enable this (for ANY  jvm)
Comment 8 jiri vanek 2012-05-10 08:16:01 EDT
===summary===

==must be fixed:==
=MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
*fail* there is missing BUildRequires
=MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
*fail* as already mentioned, one is missing ( I have done this review with BuildRequires: xorg-x11-utils included in spec)

==should be fixed if there is will and reason to do so:==
=rpmlint technic  warning
=MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
*fail* It looks like shared library have 775, I suggest to exactly specify permissions in specfile (however, default 775 are usable), so this can be considered as ok
=SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
No manual pages. In this case I miss some more info how to enable this (for ANY  jvm)
=SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
I have tried, and I was unable to verified. I have included ptisnovs a openjdk QA to test this. But we have faield to verify even old java-access-bridge
If you have any more ideas how to enable it and verify it I will be very glad


Especially the "function test" is important for me, unless ptisnovs will find the way:)

==todo when the package is out:==
=test on arm
=include and verify with openjdk7


I know I'm not master-reviewer so feel free to correct me and Ihope I have not overlook something.

Thanx for your work, and looking forward for fixed version
Comment 9 jiri vanek 2012-05-10 08:50:48 EDT
I'm also for including this package to f17, however to release openjdk7 with this dependence in f18.
Comment 10 Omair Majid 2012-05-11 10:14:01 EDT
Updated files:

Spec URL: http://omajid.fedorapeople.org/java-atk-wrapper/java-atk-wrapper.spec
SRPM URL:
http://omajid.fedorapeople.org/java-atk-wrapper/java-atk-wrapper-0.30.4-1.fc17.src.rpm

(In reply to comment #8)
> ===summary===
> 
> ==must be fixed:==
> =MUST: The package MUST successfully compile and build into binary rpms on at
> least one primary architecture. [7]
> *fail* there is missing BUildRequires

Fixed.
 
> ==should be fixed if there is will and reason to do so:==
> =rpmlint technic  warning
> =MUST: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. [15]
> *fail* It looks like shared library have 775, I suggest to exactly specify
> permissions in specfile (however, default 775 are usable), so this can be
> considered as ok

I cant reproduce this (either locally or on koji). Please try this scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4070482

> =SHOULD: your package should contain man pages for binaries/scripts. If it
> doesn't, work with upstream to add them where they make sense.[32]
> No manual pages. In this case I miss some more info how to enable this (for ANY
>  jvm)

I am not sure if man pages are appropriate for a package without executables. I have added a fedora-specific README though.

> =SHOULD: The reviewer should test that the package functions as described. A
> package should not segfault instead of running, for example.
> I have tried, and I was unable to verified. I have included ptisnovs a openjdk
> QA to test this. But we have faield to verify even old java-access-bridge
> If you have any more ideas how to enable it and verify it I will be very glad

I have added the instructions to the README.fedora file. I have also convinced Pavel (ptisonvs) that this (mostly) works on irc :)

> =include and verify with openjdk7

I will post a patch to java-1.7.0-openjdk separately.
Comment 11 jiri vanek 2012-05-14 11:25:25 EDT
(In reply to comment #10)
> Updated files:
> 
> Spec URL: http://omajid.fedorapeople.org/java-atk-wrapper/java-atk-wrapper.spec
> SRPM URL:
> http://omajid.fedorapeople.org/java-atk-wrapper/java-atk-wrapper-0.30.4-1.fc17.src.rpm
> 
> (In reply to comment #8)
> > ===summary===
> > 
> > ==must be fixed:==
> > =MUST: The package MUST successfully compile and build into binary rpms on at
> > least one primary architecture. [7]
> > *fail* there is missing BUildRequires
> 
> Fixed.
> 

thanx!

> > ==should be fixed if there is will and reason to do so:==
> > =rpmlint technic  warning
> > =MUST: Permissions on files must be set properly. Executables should be set
> > with executable permissions, for example. [15]
> > *fail* It looks like shared library have 775, I suggest to exactly specify
> > permissions in specfile (however, default 775 are usable), so this can be
> > considered as ok
> 
> I cant reproduce this (either locally or on koji). Please try this scratch
> build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4070482
> 

Very well.. In this rpm the issue is not presented. On my mock build on f16 for f17 it IS presented. However the koji is significant, and also execute-ability is kept so I'm ok here.
 
> > =SHOULD: your package should contain man pages for binaries/scripts. If it
> > doesn't, work with upstream to add them where they make sense.[32]
> > No manual pages. In this case I miss some more info how to enable this (for ANY
> >  jvm)
> 
> I am not sure if man pages are appropriate for a package without executables. I
> have added a fedora-specific README though.
> 
> > =SHOULD: The reviewer should test that the package functions as described. A
> > package should not segfault instead of running, for example.
> > I have tried, and I was unable to verified. I have included ptisnovs a openjdk
> > QA to test this. But we have failed to verify even old java-access-bridge
> > If you have any more ideas how to enable it and verify it I will be very glad
> 
> I have added the instructions to the README.fedora file. I have also convinced
> Pavel (ptisonvs) that this (mostly) works on irc :)
> 

I have noticed;)
Thanx for read-me. It was exactly what I have been  missing.

> > =include and verify with openjdk7
> 
> I will post a patch to java-1.7.0-openjdk separately.

Sure :)

Please consider f17 branch also. I think it is worthy to have this package before f18 for debugging purposes of people around openjdk.

Tahnx for package!

APPROVED
Comment 12 Omair Majid 2012-05-14 11:36:23 EDT
New Package SCM Request
=======================
Package Name: java-atk-wrapper
Short Description: Java ATK Wrapper
Owners: jvanek omajid
Branches: f17
InitialCC:
Comment 13 Gwyn Ciesla 2012-05-14 12:06:08 EDT
Git done (by process-git-requests).
Comment 14 Omair Majid 2012-05-17 01:02:21 EDT
Added and built for f18: http://koji.fedoraproject.org/koji/buildinfo?buildID=319299
Comment 15 Fedora Update System 2012-05-17 01:11:12 EDT
java-atk-wrapper-0.30.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/java-atk-wrapper-0.30.4-1.fc17
Comment 16 Fedora Update System 2012-06-02 19:57:56 EDT
java-atk-wrapper-0.30.4-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.